#!/bin/bash
#
if [ -f $HOME/.profile ]; then
	. $HOME/.profile
fi

ifile=$1 # Use first argument
[ ! -f $ifile ] && exit

# Dont allow to run without Blender
[ ! -f ~/bin/blender ] && exit

while read line_iter
do
	# Only add to the queue if the
	QCOUNT=$(qstat -u `whoami` | grep -iv interact | grep qw | wc -l)
	echo "Queue At Number "$QCOUNT
	
	while [ "$QCOUNT" -gt "0" ]
	do
		echo "Queue Full, sleeping..."
		sleep 1
		QCOUNT=$(qstat -u `whoami` | grep -iv interact | grep qw | wc -l)
	done
	
	#~ # --------------------------------------------------- Limit total job number
	#~ # Only add to the queue if the
	#~ JCOUNT=$(qstat -u `whoami` | grep -iv interact | wc -l)
	#~ echo "Job Count At Number "$JCOUNT
	
	#~ while [ "$JCOUNT" -gt "100" ]
	#~ do
		#~ echo "Over 100 jobs, sleeping..."
		#~ sleep 15
		#~ JCOUNT=$(qstat -u `whoami` | grep -iv interact | wc -l)
	#~ done	
	#~ sleep 8
	#~ # --------------------------------------------------- 
	
	echo "Running" $line_iter
	EXITSTATUS="1"
	while [ ! "$EXITSTATUS" -eq 0 ]
	do
		# This line should contain the qsub command!
		$line_iter
		sleep 1
		# Deal with failed attempts to add a job.
		EXITSTATUS="$?"
		if [ ! "$EXITSTATUS" -eq 0 ]
		then
			echo "Failed to add job, sleeping 5sec and try again..."
			sleep 5
		fi
	done

done < $ifile

echo "done"
